commit 15851896ef1507c0901a4150fd869cbce6c17e3d
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Mon Jan 8 16:01:55 2024 +0000

    Fix recipient (or source) selection in combination with periodic queue run. Bug 3064
    
    Broken-by: 1e835086d159

diff --git a/src/src/exim.c b/src/src/exim.c
index 4473373b3..c53b98186 100644
--- a/src/src/exim.c
+++ b/src/src/exim.c
@@ -3688,7 +3688,7 @@ on the second character (the one after '-'), to save some effort. */
     in all cases provided there are no further characters in this
     argument. */
 
-      alloc_onetime_qrunner();
+      if (!qrunners) alloc_onetime_qrunner();
       qrunners->queue_2stage = f.queue_2stage;
       if (*argrest)
 	for (int i = 0; i < nelem(rsopts); i++)

